<?php
/**
*	Shortcodes
*/
/**
 * Disable Automatic Formatting on Posts
 *
 * @param string $content
 * @return string
 */
function raw_formatter($content) {

	$new_content = '';
	
	/* Matches the contents and the open and closing tags */
	$pattern_full = '{(\[raw\].*?\[/raw\])}is';
	
	/* Matches just the contents */
	$pattern_contents = '{\[raw\](.*?)\[/raw\]}is';
	
	/* Divide content into pieces */
	$pieces = preg_split($pattern_full, $content, -1, PREG_SPLIT_DELIM_CAPTURE);

	/* Loop over pieces */
	foreach ($pieces as $piece) {
	
		/* Look for presence of the shortcode */
		if (preg_match($pattern_contents, $piece, $matches)) {
		
			/* Append to content (no formatting) */
			$new_content .= $matches[1];
		
		} else {
		
			/* Format and append to content */
			$new_content .= wptexturize(wpautop($piece));
		
		}
	}

	return $new_content;
}
function place_shortcode($shortcode){
	return do_shortcode(stripslashes($shortcode));
}

/* Remove the 2 main auto-formatters */
remove_filter('the_content',	'wpautop');
remove_filter('the_content',	'wptexturize');

/* Before displaying for viewing, apply this function */
add_filter('the_content', 'raw_formatter', 99);

//shortcode feature list
function themeteam_feature_list_one_third($atts,$content=null){
	extract(shortcode_atts(array('icon' => '/wp-content/themes/graffiti/images/icons/read_more_32x32.png','title' => 'Lorem Ipsum','link' => 'http://gothemeteam.com',), $atts));

	return '<section class="grid_4 feature entry"><h3><img src="' .$icon. '" alt="" />&nbsp;&nbsp;<a href="'.$link.'">' .$title. '</a></h3>'.'<p>' . do_shortcode($content) . '</p> </section>';
}
add_shortcode('feature_list_third', 'themeteam_feature_list_one_third');

function themeteam_feature_list_one_third_last($atts,$content=null){
	extract(shortcode_atts(array('icon' => '/wp-content/themes/graffiti/images/icons/chat_alt_stroke_32x32.png','title' => 'Lorem Ipsum','link' => 'http://gothemeteam.com',), $atts));
	return '<section class="grid_4 feature entry"><h3><img src="' .$icon. '" alt="" />&nbsp;&nbsp;<a href="'.$link.'">' .$title. '</a></h3><p>'.do_shortcode($content).'</p></section><div class="clear"><!--clear fix--></div>';
}
add_shortcode('feature_list_third_last', 'themeteam_feature_list_one_third_last');

function themeteam_feature_list_half($atts,$content=null){
	extract(shortcode_atts(array('icon' => '/wp-content/themes/graffiti/images/icons/tag_stroke_32x32.png','title' => 'Lorem Ipsum','link' => 'http://gothemeteam.com',), $atts));

	return '<section class="grid_6 feature entry"><h3><img src="' .$icon. '" alt="" />&nbsp;&nbsp;<a href="'.$link.'">' .$title. '</a></h3><p>'.do_shortcode($content).'</p></section>';
}
add_shortcode('feature_list_half', 'themeteam_feature_list_half');

function themeteam_feature_list_half_last($atts,$content=null){
	extract(shortcode_atts(array('icon' => '/wp-content/themes/graffiti/images/icons/sun_32x32.png','title' => 'Lorem Ipsum','link' => 'http://gothemeteam.com',), $atts));
	return '<section class="grid_6 feature entry"><h3><img src="' .$icon. '" alt="" />&nbsp;&nbsp;<a href="'.$link.'">' .$title. '</a></h3><p>'.do_shortcode($content).'</p></section><div class="clear"><!--clear fix--></div>';
}
add_shortcode('feature_list_half_last', 'themeteam_feature_list_half_last');

function themeteam_feature_list_quarter($atts,$content=null){
	extract(shortcode_atts(array('icon' => '/wp-content/themes/graffiti/images/icons/star_32x32.png','title' => 'Lorem Ipsum','link' => 'http://gothemeteam.com',), $atts));

	return '<section class="grid_3 feature entry"><h3><img src="' .$icon. '" alt="" />&nbsp;&nbsp;<a href="'.$link.'">' .$title. '</a></h3><p>'.do_shortcode($content).'</p></section>';
}
add_shortcode('feature_list_quarter', 'themeteam_feature_list_quarter');

function themeteam_feature_list_quarter_last($atts,$content=null){
	extract(shortcode_atts(array('icon' => '/wp-content/themes/graffiti/images/icons/move_alt1_32x32.png','title' => 'Lorem Ipsum','link' => 'http://gothemeteam.com',), $atts));
	return '<section class="grid_3 feature entry"><h3><img src="' .$icon. '" alt="" />&nbsp;&nbsp;<a href="'.$link.'">' .$title. '</a></h3><p>'.do_shortcode($content).'</p></section><div class="clear"><!--clear fix--></div>';
}
add_shortcode('feature_list_quarter_last', 'themeteam_feature_list_quarter_last');

/*column shortcodes*/
function themeteam_column_half($atts,$content=null){
	$out .= '<section class="grid_6 entry">';
	$out .= do_shortcode($content);
	$out .= '</section>';
	
	return raw_formatter($out);
}
add_shortcode('column_half', 'themeteam_column_half');

function themeteam_column_half_last($atts,$content=null){
	$out .= '<section class="grid_6 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('column_half_last', 'themeteam_column_half_last');

function themeteam_column_third($atts,$content=null){
	$out .= '<section class="grid_4 entry">';
	$out .= do_shortcode($content);
	$out .= '</section>';
	
	return raw_formatter($out);
}
add_shortcode('column_third', 'themeteam_column_third');

function themeteam_column_third_last($atts,$content=null){
	$out .= '<section class="grid_4 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('column_third_last', 'themeteam_column_third_last');

function themeteam_column_quarter($atts,$content=null){
	$out .= '<section class="grid_3 entry">';
	$out .= do_shortcode($content);
	$out .= '</section>';
	
	return raw_formatter($out);
}
add_shortcode('column_quarter', 'themeteam_column_quarter');

function themeteam_column_quarter_last($atts,$content=null){
	$out .= '<section class="grid_3 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('column_quarter_last', 'themeteam_column_quarter_last');

function themeteam_column_one_sixth($atts,$content=null){
	$out .= '<section class="grid_2 entry">';
	$out .= do_shortcode($content);
	$out .= '</section>';
	
	return raw_formatter($out);
}
add_shortcode('column_one_sixth', 'themeteam_column_one_sixth');

function themeteam_column_one_sixth_last($atts,$content=null){
	$out .= '<section class="grid_2 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('column_one_sixth_last', 'themeteam_column_one_sixth_last');


function themeteam_column_three_quarter($atts,$content=null){
	$out .= '<section class="grid_9 entry">';
	$out .= do_shortcode($content);
	$out .= '</section>';
	
	return raw_formatter($out);
}
add_shortcode('column_three_quarter', 'themeteam_column_three_quarter');

function themeteam_column_three_quarter_last($atts,$content=null){
	$out .= '<section class="grid_9 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('column_three_quarter_last', 'themeteam_column_three_quarter_last');

function themeteam_column_two_thirds($atts,$content=null){
	$out .= '<section class="grid_8 entry">';
	$out .= do_shortcode($content);
	$out .= '</section>';
	
	return raw_formatter($out);
}
add_shortcode('column_two_thirds', 'themeteam_column_two_thirds');

function themeteam_column_two_thirds_last($atts,$content=null){
	$out .= '<section class="grid_8 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('column_two_thirds_last', 'themeteam_column_two_thirds_last');

function themeteam_column_full($atts,$content=null){
	$out .= '<section class="grid_12 entry">';
	$out .= do_shortcode($content);
	$out .= '</section><div class="clear"> </div>';
	
	return raw_formatter($out);
}

add_shortcode('column_full', 'themeteam_column_full');

function themeteam_divider($atts,$content=null){
	$out .= '<div class="clear"> </div>';
	
	return raw_formatter($out);
}
add_shortcode('divider', 'themeteam_divider');

/* buttons */
function themeteam_buttons($atts,$content=null){
	extract(shortcode_atts(array(
		'link' => 'http://www.envato.com',
		'color' => 'slateblue',
		'size' => 'small',
		'arrow' => '',
		'title' => 'Button'
	), $atts));
	if($arrow == 'true'){
		$out .= '<a class="button '.$size.' '.$color.' arrow" href="'.$link.'"><span><span>';
	}else{
		$out .= '<a class="button '.$size.' '.$color.'" href="'.$link.'"><span><span>';
	}
	
	$out .= $title;
	$out .= '</span></span></a>';
	
	return $out;
}
add_shortcode('button','themeteam_buttons');

/* Box Styles */
function themeteam_boxes($atts, $content = null){
	extract(shortcode_atts(array(
		'title' => 'Insert Title Here'
	), $atts));
	
	$out .= "<div class=\"boxes\"><h4><span></span>".$title."</h4><div class=\"inner\">".do_shortcode($content)."</div></div>";
	
	return $out;
}
add_shortcode('boxes','themeteam_boxes');

function themeteam_boxes_toggle($atts, $content = null){
	extract(shortcode_atts(array(
		'title' => 'Insert Title Here'
	), $atts));
	
	$out .= "<div class=\"boxes toggle\"><h4><span></span>".$title."</h4><div class=\"inner\">".do_shortcode($content)."</div></div>";
	
	return $out;
}
add_shortcode('boxes_toggle','themeteam_boxes_toggle');

/* Alert Boxes */
function themeteam_alert_boxes($atts, $content = null){
	extract(shortcode_atts(array(
		'style' => 'framed-box',
		'title' => ''
	), $atts));
	
	$out .= '<div class="'.$style.' clearfix entry">';
	$out .= '<h4 class="heading">'.$title.'</h4><p>';
	$out .= do_shortcode($content);
	$out .= '</p></div>';
	
	return $out;
}
add_shortcode('alert_boxes','themeteam_alert_boxes');


/* Header */
function themeteam_headers($atts,$content=null){
	extract(shortcode_atts(array(
		'color' => '',
		'type' => 'h1'
	), $atts));
	
	$out .= '<'.$type.' class="'.$color.'">';
	$out .= do_shortcode($content);
	$out .= '</'.$type.'>';
	
	return raw_formatter($out);
}
add_shortcode('headers','themeteam_headers');

/* Mark */
function themeteam_mark($atts,$content=null){
	extract(shortcode_atts(array(
		'color' => '',
		'type' => 'h1'
	), $atts));
	
	$out .= '<mark class="'.$color.'">';
	$out .= do_shortcode($content);
	$out .= '</mark>';
	
	return $out;
}
add_shortcode('mark','themeteam_mark');


/* bullets and lists */
function themeteam_bullet_list($atts,$content=null){
	extract(shortcode_atts(array(
		'style' => 'bullet_add',
		'grid_length' => 'grid_2'
	), $atts));
	
	$out .= '<div class="'.$grid_length.'">';
	$out .= '<ul class="ul '.$style.'">';
	$out .= do_shortcode($content);
	$out .= '</ul></div>';
	
	return raw_formatter($out);
}
add_shortcode('bullet_list','themeteam_bullet_list');



/* Mini gallery Slider */
function themeteam_mini_slider($atts, $content = null){
	extract(shortcode_atts(array(
		'width' => '300',
		'height' => '210',
		'isSlider' => 'yes',
		'unique_id' => 'one',
		'autoplay' => 'false',
		'pause' => '3000'
	), $atts));
	
	
	
	if(preg_match_all('!http://.+\.(?:jpe?g|png|gif)!Ui',$content,$matches)){

		$out .= '<div class="slider mini-slider mini-slider-'.$unique_id.'"><div><ul>';

		foreach ($matches[0] as $img) {
			$main_img = gallery_image_resize($height,$width,$img);
			$out .= '<li><div class="miniG"><img alt="" src="'.gallery_image_resize($height,$width,$img).'"/></div></li>';
		}
		$out .=  '</ul></div></div>';

	}

	if($isSlider == 'yes'){
		themeteam_mini_js($autoplay,$pause,$unique_id,$width,$height);
	}else{
		echo '<style>#prevBtn'.$unique_id.'{display:none;}#nextBtn'.$unique_id.'{display:none;}</style>';
	}
	
	return $out;
}
add_shortcode('mini_slider','themeteam_mini_slider');

function themeteam_mini_js($autoplay,$pause,$id,$width,$height) {
		

		echo '
		<style>
		.mini-slider-'.$id.' { width:'.$width.'px; position:relative; overflow:hidden;}
		.mini-slider-'.$id.' ul li { width:'.$width.'px; height:'.$height.'px;}
		.mini-slider-'.$id.' #prevBtn-'.$id.', .mini-slider-'.$id.' #nextBtn-'.$id.', .mini-slider-'.$id.' #prevBtn-'.$id.' a, .mini-slider-'.$id.' #nextBtn-'.$id.' a { background: url("'.get_bloginfo('template_directory').'/images/arrow-slider.png") no-repeat left top;opacity:0.7;}
		.mini-slider-'.$id.' #nextBtn-'.$id.', .mini-slider-'.$id.' #nextBtn-'.$id.' a { background-position: right top;}
		.mini-slider-'.$id.' #nextBtn-'.$id.',.mini-slider-'.$id.' #prevBtn-'.$id.' { position: absolute; width:30px; height:30px; bottom:30px;}
		.mini-slider-'.$id.' #nextBtn-'.$id.' a, .mini-slider-'.$id.' #prevBtn-'.$id.' a { display: block; height:0; padding-top:30px; overflow:hidden;}
		.mini-slider-'.$id.' #nextBtn-'.$id.' { right:0;}
		</style>
		<script type="text/javascript">
		/* <![CDATA[ */
		jQuery(document).ready(function(){
			jQuery(".mini-slider-'.$id.' > div").easySlider({
				prevId:			"prevBtn-'.$id.'",
				nextId:			"nextBtn-'.$id.'",
				auto:			'.$autoplay.',
				pause:			'.$pause.',
				continuous:		true,
				numericPrev:	true,
				numericNext:	true
			});

		});
		/* ]]> */
		</script><noscript><style>.mini-slider-'.$id.' ul li + li{display:none;}</style></noscript>';
}
/* SIngle Images */ 
function themeteam_single_image($atts,$content=null){
	extract(shortcode_atts(array(
		'width' => '300',
		'height' => '165',
		'image_url' => ''
	), $atts));

	$out .= '';
	$out .= '<a href="'.$image_url.'" rel="prettyPhoto">'.themeteam_resize($image_url,$title,$title,$width,$height).'<span class="frame"><span><span><span><span><span class="empty"><em class="zoom"> </em></span></span></span></span></span></span></a>';
	$out .= '';
	
	return raw_formatter($out);
}
add_shortcode('single_image','themeteam_single_image');



/* Tabs Shortcodes */

function themeteam_tabs( $atts, $content = null ) {
	extract(shortcode_atts(array(
    ), $atts));
	
	global $counter_1;
	global $counter_2;
	
	$counter_1++;
	$counter_2++;
	
	$out .= '<div class="tabs"><div class="tab_wrap">';
	
	$out .= '<ul class="nav">';
	
	$count = 1;
	
	foreach ($atts as $tab) {
		if($count == 1){$first = 'first';}else{$first = '';}
		$out .= '<li class="'.$first.'"><a title="' .$tab. '" href="#tab-' . $counter_1 . '">' .$tab. '</a></li>';
		$counter_1++;
		$count++;
	}
	$out .= '</ul>';

	$out .= do_shortcode($content) .'</div></div>';
	
	return $out;
	
}
add_shortcode('tabs', 'themeteam_tabs');


/*-----------------------------------------------------------------------------------*/
/*	Tab Panes Shortcodes
/*-----------------------------------------------------------------------------------*/

function tabpanels( $atts, $content = null ) {
	extract(shortcode_atts(array(
    ), $atts));
	
	global $counter_2;
	
	$out .= '<div class="tab" id="tab-' . $counter_2 . '"><div>' . do_shortcode($content) .'</div></div>';
	
	$counter_2++;
	
	return $out;
}
add_shortcode('tab_content', 'tabpanels');


/* Pricing grid */


function themeteam_pricing_grid_wrapper($atts,$content=null){
	extract(shortcode_atts(array(
		'size' => 'three-columns'
	), $atts));
	
	$out .= '<div class="grids '.$size.' clearfix">';
	$out .= do_shortcode($content);
	$out .= '</div>';
	
	return raw_formatter($out);
}

add_shortcode('grid_wrapper', 'themeteam_pricing_grid_wrapper');

function themeteam_pricing_grid($atts,$content=null){
	extract(shortcode_atts(array(
		'header_text' => 'Plan 1',
		'price' => '$20',
		'duration' => '',
		'plan_link' => 'http://layover.gothemeteam.com',
		'plan_text' => 'Choose plan',
		'color' => 'darkgreen'
	), $atts));
	
	$out .= '<section class="grid"><header><h1>';
	$out .= $header_text;
	$out .= '</h1><h2>'.$price.' / ';
	if($duration){
		$out .= '<span> '.$duration.'</span>';
	}
	$out .= '</h2></header><details><ul>';
	$out .= do_shortcode($content);
	$out .= '</ul><footer><a href="';
	$out .= $plan_link;
	$out .= '" class="button"><span>';
	$out .= $plan_text;
	$out .= '</span></a></footer></details></section>';
	
	return raw_formatter($out);
}

add_shortcode('pricing_grid', 'themeteam_pricing_grid');

/*
Integrated bellow plugin as a shortcode. Will allow for our users not to have to add a plugin.
Plugin Name: Google Maps v3 Shortcode
Plugin URI: http://gis.yohman.com
Description: This plugin allows you to add one or more maps to your page/post using shortcodes.  Features include:  multiple maps on the same page, specify location by address or lat/lon combo, add kml, show traffic, add your own custom image icon, set map size.
Version: 1.02
Author: yohda
Author URI: http://gis.yohman.com/
*/
function gmapsv3($atts, $content = null){
	extract(shortcode_atts(array(	
		'lat'   => '0', 
		'lon'    => '0',
		'id' => 'map',
		'z' => '1',
		'w' => '614',
		'h' => '330',
		'maptype' => 'ROADMAP',
		'address' => '',
		'kml' => '',
		'marker' => '',
		'markerimage' => '',
		'traffic' => 'no',
		'infowindow' => ''
		
		), $atts));
		
		$returnme = '<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
    <div id="' .$id . '" style="width:' . $w . 'px;height:' . $h . 'px;"></div><br>
	
    <script type="text/javascript">
	/* <![CDATA[ */
		var latlng = new google.maps.LatLng(' . $lat . ', ' . $lon . ');
		var myOptions = {
			zoom: ' . $z . ',
			center: latlng,
			mapTypeId: google.maps.MapTypeId.' . $maptype . '
		};
		var ' . $id . ' = new google.maps.Map(document.getElementById("' . $id . '"),
		myOptions);
		';
				
		//kml
		if($kml != '') 
		{
			//Wordpress converts "&" into "&#038;", so converting those back
			$thiskml = str_replace("&#038;","&",$kml);		
			$returnme .= '
			var kmllayer = new google.maps.KmlLayer(\'' . $thiskml . '\');
			kmllayer.setMap(' . $id . ');
			';
		}
		
		//traffic
		if($traffic == 'yes')
		{
			$returnme .= '
			var trafficLayer = new google.maps.TrafficLayer();
			trafficLayer.setMap(' . $id . ');
			';
		}
	
		//address
		if($address != '')
		{
			$returnme .= '
		    var geocoder_' . $id . ' = new google.maps.Geocoder();
			var address = \'' . $address . '\';
			geocoder_' . $id . '.geocode( { \'address\': address}, function(results, status) {
				if (status == google.maps.GeocoderStatus.OK) {
					' . $id . '.setCenter(results[0].geometry.location);
					';
					
					if ($marker !='')
					{
						//add custom image
						if ($markerimage !='')
						{
							$returnme .= 'var image = "'. $markerimage .'";';
						}
						$returnme .= '
						var marker = new google.maps.Marker({
							map: ' . $id . ', 
							';
							if ($markerimage !='')
							{
								$returnme .= 'icon: image,';
							}
						$returnme .= '
							position: ' . $id . '.getCenter()
						});
						';

						//infowindow
						if($infowindow != '') 
						{
							//first convert and decode html chars
							$thiscontent = htmlspecialchars_decode($infowindow);
							$returnme .= '
							var contentString = \'' . $thiscontent . '\';
							var infowindow = new google.maps.InfoWindow({
								content: contentString
							});
										
							google.maps.event.addListener(marker, \'click\', function() {
							  infowindow.open(' . $id . ',marker);
							});
				
							';
						}


					}
			$returnme .= '
				} else {
				alert("Geocode was not successful for the following reason: " + status);
			}
			});
			';
		}

		//marker: show if address is not specified
		if ($attr['marker'] != '' && $attr['address'] == '')
		{
			//add custom image
			if ($attr['markerimage'] !='')
			{
				$returnme .= 'var image = "'. $attr['markerimage'] .'";';
			}

			$returnme .= '
				var marker = new google.maps.Marker({
				map: ' . $attr['id'] . ', 
				';
				if ($attr['markerimage'] !='')
				{
					$returnme .= 'icon: image,';
				}
			$returnme .= '
				position: ' . $attr['id'] . '.getCenter()
			});
			';

			//infowindow
			if($attr['infowindow'] != '') 
			{
				$returnme .= '
				var contentString = \'' . $attr['infowindow'] . '\';
				var infowindow = new google.maps.InfoWindow({
					content: contentString
				});
							
				google.maps.event.addListener(marker, \'click\', function() {
				  infowindow.open(' . $attr['id'] . ',marker);
				});
	
				';
			}


		}

		$returnme .= '/* ]]> */</script>';
		
		echo $returnme;
}
add_shortcode('map', 'gmapsv3');

?>